Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.provider20
Interface EventProvider

public interface EventProvider
extends CIMProvider

This is the interface implemented by event providers. If the interface is not implemented by a provider, the CIM object manager assumes that it must be polled.

Since:
  WBEM 2.4

Method Summary
`void` | `activateFilter(SelectExp filter, java.lang.String eventType, CIMObjectPath classPath, boolean firstActivation)` Invoked by the CIM object manager to ask the provider to check for events.
`void` | `authorizeFilter(SelectExp filter, java.lang.String eventType, CIMObjectPath classPath, java.lang.String owner)` Invoked by a CIM object manager to test if a given filter expression is allowed.
`void` | `deActivateFilter(SelectExp filter, java.lang.String eventType, CIMObjectPath classPath, boolean lastActivation)` Invoked by the CIM object manager to ask the provider to deactivate an event filter.
`boolean` | `mustPoll(SelectExp filter, java.lang.String eventType, CIMObjectPath classPath)` Invoked by a CIM object manager to test if a given filter expression is allowed by the provider, and if it must be polled.

Methods inherited from interface com.sun.wbem.provider.CIMProvider
`cleanup, initialize`

Method Detail

### authorizeFilter

    public void authorizeFilter(SelectExp filter,
                                java.lang.String eventType,
                                CIMObjectPath classPath,
                                java.lang.String owner)
                         throws CIMException

  Invoked by a CIM object manager to test if a given filter expression is allowed. The object manager will only call this method if the provider also implements the Authorizable interface.
  Parameters:
    `expression` - The filter that must be authorized.
    `eventType` - The type of event, which can also be extracted from the from clause of expression. Provided as a convenience.
    `classPath` - The name of the class for which the event is required. Only the namespace component may be populated if eventType is a process indication.
    `owner` - The user id for the owner of the event destination. Note that the destination owner may be different from the actual user making the request for the filter activation.
  Throws:
    CIMException - with CIM_ERR_ACCESS_DENIED on authorization failure.
  See Also:
    `Authorizable.`

### mustPoll

    public boolean mustPoll(SelectExp filter,
                            java.lang.String eventType,
                            CIMObjectPath classPath)
                     throws CIMException

  Invoked by a CIM object manager to test if a given filter expression is allowed by the provider, and if it must be polled.
  Parameters:
    `expression` - The filter that needs to be checked.
    `eventType` - The type of event, which can also be extracted from the from clause of expression. Provided as a convenience.
    `classPath` - The name of the class for which the event is required. Only the namespace component may be populated if eventType is a process indication.
  Returns:
    boolean true if the provider expects the object manager to poll it, false otherwise.
  Throws:
    CIMException - with CIM_ERR_NOT_SUPPORTED if this filter must not be honored.

### activateFilter

    public void activateFilter(SelectExp filter,
                               java.lang.String eventType,
                               CIMObjectPath classPath,
                               boolean firstActivation)
                        throws CIMException

  Invoked by the CIM object manager to ask the provider to check for events.
  Parameters:
    `expression` - The filter expression to event on.
    `eventType` - The type of event, which can also be extracted from the from clause of expression. Provided as a convenience.
    `classPath` - The name of the class for which the event is required. Only the namespace component may be populated if eventType is a process indication.
    `firstActivation` - A convenience variable passed in by the CIM object manager to indicate to the provider that this is the first filter for eventType.
  Throws:
    CIMException - with CIM_ERR_INVALID_QUERY if this filter cannot be honored. Also CIM_ERR_NOT_SUPPORTED if the provider cannot handle this filter, but wishes the CIM object manager to poll it.

### deActivateFilter

    public void deActivateFilter(SelectExp filter,
                                 java.lang.String eventType,
                                 CIMObjectPath classPath,
                                 boolean lastActivation)
                          throws CIMException

  Invoked by the CIM object manager to ask the provider to deactivate an event filter.
  Parameters:
    `expression` - The filter expression to event on.
    `eventType` - The type of event, which can also be extracted from the from clause of expression. Provided as a convenience.
    `classPath` - The name of the class for which the event is required. Only the namespace component may be populated if eventType is a process indication.
    `lastActivation` - A convenience variable passed in by the CIM object manager to indicate to the provider that this is the last filter for eventType.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD